# Generated by Django 3.1.1 on 2020-10-14 13:39

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='mataKuliah',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('matakuliah', models.CharField(max_length=120, verbose_name='Mata Kuliah')),
                ('jumlah_sks', models.IntegerField(default=1, validators=[django.core.validators.MaxValueValidator(24), django.core.validators.MinValueValidator(1)], verbose_name='Jumlah SKS')),
                ('namaDosen', models.CharField(max_length=120, verbose_name='Nama Dosen')),
                ('deskripsi', models.TextField(max_length=120, verbose_name='Deskripsi Mata Kuliah')),
                ('semester', models.CharField(choices=[('Gasal 2019/2020', 'Gasal 2019/2020'), ('Genap 2019/2020', 'Genap 2019/2020'), ('Gasal 2020/2021', 'Gasal 2020/2021'), ('Genap 2020/2021', 'Genap 2020/2021'), ('Others', 'Others')], max_length=120, verbose_name='Semester Tahun')),
                ('ruangKelas', models.CharField(default='online', max_length=120, verbose_name='Ruang Kelas')),
            ],
        ),
    ]
